
var btn;

function init() { 
    btn = document.getElementById('btn');

    addEvent(btn, 'mouseenter', enterButton);
    addEvent(btn, 'mouseleave', outButton);

    TweenMax.set(["#btn", "#blt1", "#blt2", "#blt3", "#txt4a"], {autoAlpha:0});
    TweenMax.set("#btn", {scale:0.9});

    frame2();
}

function frame2(){
    TweenMax.to("#img_1", 0.5, { autoAlpha:0, delay:2});
    TweenMax.from("#txt1", 0.8, { y:10, autoAlpha:0, ease: Power2.easeOut, delay:2.3});
    TweenMax.to("#img_2", 0.5, { autoAlpha:0, delay:5.8});
    TweenMax.to("#txt1", 0.5, { autoAlpha:0, delay:5.8, onComplete: frame5});
}

function frame3(){
    TweenMax.to("#img_2", 0.5, { autoAlpha:0});
    TweenMax.from("#txt2", 0.8, { y:10, autoAlpha:0, ease: Power2.easeOut, delay:0.3});
    TweenMax.to("#txt2", 0.5, { autoAlpha:0, delay:1.8, onComplete: frame4});
}

function frame4(){
    TweenMax.to("#img_3", 0.5, { autoAlpha:0});
    TweenMax.from("#txt3", 0.8, { y:10, autoAlpha:0, ease: Power2.easeOut, delay:0.3});
    TweenMax.to("#txt3", 0.5, { autoAlpha:0, delay:1.8, onComplete: frame5});
}

function frame5(){
    TweenMax.to("#img_4", 0.5, { autoAlpha:0});
    TweenMax.to("#blt1", 1.5, { clip:"rect(0px 350px 100px 0px)", autoAlpha:1, delay:0});
    TweenMax.to("#blt2", 1.5, { clip:"rect(0px 350px 100px 0px)", autoAlpha:1, delay:1});
    TweenMax.to("#blt3", 1.5, { clip:"rect(0px 350px 100px 0px)", autoAlpha:1, delay:2});
    TweenMax.to("#blt1", 1.5, { autoAlpha:0, delay:4});
    TweenMax.to("#blt2", 1.5, { autoAlpha:0, delay:4});
    TweenMax.to("#blt3", 1.5, { autoAlpha:0, delay:4, onComplete: frame6});
}

function frame6(){
    TweenMax.to("#btn", 0.5, { autoAlpha:1});
    TweenMax.from("#iphone", 1, { autoAlpha:0});
    TweenMax.to("#txt4a", 0.8, { y:-10, autoAlpha:1, ease: Power2.easeOut});
    TweenMax.from("#txt4b", 0.8, { y:10, autoAlpha:0, ease: Power2.easeOut, delay:1.2});
//    TweenMax.to("#iphone", 0.5, { autoAlpha:0, delay:3.5});
    TweenMax.to('#btn',0.3, { scale:1, repeat:3, yoyo:true,delay:1.5});
}

function enterButton() {
    TweenMax.to(btn, 0.3, {scale:1});
}
function outButton() {
    TweenMax.to(btn, 0.3, {scale:0.9});
}
function addEvent(element, myEvent, fnc) {
    return ((element.attachEvent) ? element.attachEvent('on' + myEvent, fnc) : element.addEventListener(myEvent, fnc, false));
}