var container;
var i = 0;

function init() {
  // initialisation stuff here
	container = document.getElementById('container');
	clicktag = document.getElementById('clicktag');

	TweenMax.to('#bg2', {autoAlpha:0});
	TweenMax.set(['#txt1a','#btn', '#logo'], {autoAlpha:0});
	TweenMax.set(['#bg2','#bg3','#bg4'], {scale: 1.2});

	fade();
	anim();
}


function fade(){
	TweenMax.to('#fade',0.5, {autoAlpha:0});
}

function anim(){
	TweenMax.to('#bg1',0.7, { autoAlpha:0,delay:1.5});
	TweenMax.to('#bg2',8, {rotationZ: 0.01, scale:1,ease:Linear.easeNone,delay:1.5});
	TweenMax.to('#txt1a',1, { autoAlpha:1, delay:2.3});
	TweenMax.to('#txt1b',1, {clip: "rect(0px,290px,37px,0px)", delay:2.5});
	TweenMax.to('#txt1c',1.3, {clip: "rect(0px,290px,37px,0px)", delay:3.2});
	TweenMax.to('#fadetwee',1, { autoAlpha:0.2, delay:2.5});

	TweenMax.to(['#fadetwee','#txt1a','#txt1b', '#txt1c'],1, { autoAlpha:0, delay:5.5});	

	TweenMax.to('#bg2',1, { autoAlpha:0,delay:6.5});
	TweenMax.to('#bg3',8, {rotationZ: 0.01, scale:1,ease:Linear.easeNone,delay:6.5});
	TweenMax.to('#txt2a',1, {clip: "rect(0px,312px,37px,0px)", delay:7.3});
	TweenMax.to('#txt2b',1, {clip: "rect(0px,312px,37px,0px)", delay:7.6});
	TweenMax.to('#fadetwee',1, { autoAlpha:0.3, delay:7.5});

	TweenMax.to(['#txt2a','#txt2b', '#txt2c'],1, { autoAlpha:0, delay:10.5});

	TweenMax.to('#txt3a',1, {clip: "rect(0px,300px,83px,0px)", delay:12.3});

	TweenMax.to('#logo',1, { autoAlpha:1, delay:12.3});
	TweenMax.to('#btn',1, { autoAlpha:1, delay:12.3});
	TweenMax.to('#btn',0.3, {rotationZ: 0.01, scale:1.05, repeat:3, yoyo:true,delay:13.5, onComplete: loop});

}

function loop() {
	//reset();
	if (i < 2) {
		TweenMax.to('#bg1',0.5, {autoAlpha:1, delay:1.5, onComplete: reset});
	i++;}
}

function reset () {
	TweenMax.set('#bg2', {autoAlpha:1});
	TweenMax.set('#fadetwee', {autoAlpha:0});
	TweenMax.set('#txt1b', {autoAlpha:1, clip: "rect(0px,42px,37px,0px)"});
	TweenMax.set('#txt1c', {autoAlpha:1, clip: "rect(0px,64px,37px,0px)"});
	TweenMax.set('#txt2a', {autoAlpha:1, clip: "rect(0px,22px,37px,0px)"});
	TweenMax.set('#txt2b', {autoAlpha:1, clip: "rect(0px,22px,37px,0px)"});
	TweenMax.set('#txt3a', {autoAlpha:1, clip: "rect(0px,47px,37px,0px)"});
	TweenMax.set('#txt3c', {autoAlpha:1, clip: "rect(0px,31px,37px,0px)"});
	TweenMax.set(['#txt1a','#txt2a','#fade'], {autoAlpha:1});
	TweenMax.set(['#bg2','#bg3','#bg4'], {autoAlpha:1, scale: 1.2, onComplete: init});
}